<?php
/*********************************************************
程序名称：站长助手 WEBMASTER HELPER
作者：feixin
email:kusite@etang.com
版权：feixin (http://www.zc18.com)
//////////////////////////////////////////////////////////

最后编辑日期：2003-6-12
*********************************************************/

if (!defined('IN_WH')) {
  die("不要黑我啊");
}

$tmpdir = $WHuds->safecheck($WHuds->root . WH_SLASH . $dir_name);
//s($tmpdir);
if($WHuds->exists($tmpdir))
{
	if(!$delete_ok)
	{
		$WH->message("<a href='index.php?op=delete_dir&dir=$dir&dir_name=$dir_name&delete_ok=1' title='点击确认'>确认删除{$dir_name}目录<br />里面的所有文件和目录将删除！</a>");
	}
	else
	{
		$result = $WHuds->del($tmpdir);
		if($result){ $WH->message("删除目录{$dir_name}成功！", "index.php?dir=$dir");}
		else { $WH->message("删除目录{$dir_name}失败！可能没有权限执行此操作！", "index.php?dir=$dir");}
	}
}
else
{
	$WH->message("不存在此目录，返回！", "index.php?dir=$dir");
}

?>